<ion-content>

  <ion-row class="mt-100" *ngIf="vista === 1">
    <ion-col size="12" class="ion-text-center">
      <img src="../../../assets/lumi_logo1.png" alt="">
    </ion-col>

    <ion-col size="12" class="ion-text-center mt-80">
      <h3 color="primary">INGRESA TU CORREO ELECTRÓNICO</h3>
    </ion-col>

    <ion-col size="12">
      <ion-input #correo type="email"  pattern="^([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$" placeholder="Introduce tu email"></ion-input>
    </ion-col>

    <ion-col size="12" class="ion-text-center mt-30">
        <button color="primary" (click)="onSubmit()">
          BUSCAR
        </button>
    </ion-col>
  </ion-row>


  <ion-row class="mt-100" *ngIf="vista === 2">
    <ion-col size="12" class="ion-text-center">
      <img src="../../../assets/lumi_logo1.png" alt="">
    </ion-col>

    <ion-col size="12" class="ion-text-center">
      <h1 color="primary">RESTABLECE TU CONTRASEÑA</h1>
    </ion-col>

    <ion-col size="12" class="ion-text-left mt-30">
      <ion-label color="primary">CONTRASEÑA NUEVA</ion-label>
    </ion-col>
    <ion-col size="11">
      <ion-input #pass1 (ionChange)="vercontra($event)" type="password" [type]="tipodeinput"></ion-input>
    </ion-col>
    <ion-col size="1">
      <button *ngIf="mostrariconover" style="padding: 0;
    padding-top: 15px;" class="btn_eye_icon" (click)="togglePasswordMode()">
              <ion-icon  item-end  [name]="(tipodeinput === 'text')?'eye':'eye-off'"></ion-icon>
      </button>
    </ion-col>

    <ion-col size="12" class="ion-text-left  mt-30">
      <ion-label color="primary">CONFIRMAR CONTRASEÑA</ion-label>
    </ion-col>
    <ion-col size="11">
      <ion-input #pass2 (ionChange)="vercontra1($event)" type="password" [type]="tipodeinput1"></ion-input>
    </ion-col>
    <ion-col size="1">
      <button *ngIf="mostrariconover1" style="padding: 0;
    padding-top: 15px;" class="btn_eye_icon" (click)="togglePasswordMode1()">
              <ion-icon  item-end  [name]="(tipodeinput1 === 'text')?'eye':'eye-off'"></ion-icon>
      </button>
    </ion-col>

    <ion-col size="12" class="ion-text-center">
        <button color="primary" (click)="onSubmit1()">
          GUARDAR
        </button>
    </ion-col>
  </ion-row>
</ion-content>
